import Vue from 'vue'
// import './plugins/axios'
import App from './App.vue'
import router from './router'
import store from './store'
import Api from './api'
import * as filters from './filters'
import mixin from './mixin'
import auth from './service/auth'

// import vConsole from '@/assets/js/vconsole.js'

import './assets/css/globle.css'
import './assets/iconfont/iconfont'
// import F2 from '@antv/f2'
import 'vant/lib/index.css'

import './common/style/index.scss'
import common from './common/js/common.js'
import constant from './common/js/constant.js'

const Vant = require('vant')
Vue.use(Vant)
const moment = require('moment')
// import Bridge from './common/js/JSbridge'
Vue.prototype.$common = common
// Vue.prototype.$bridge = Bridge
Vue.prototype.$constant = constant

// Vue.use(F2) // 导入文件
Vue.prototype.$moment = moment // 赋值使用

Vue.use(Vant)

Vue.use(Api)

Vue.config.productionTip = false

Vue.prototype.$auth = auth

const axios = require('axios')

// 引入mockjs
// require('./mock/mock.js')

// register components
// Object.keys(components).forEach(key => {
//   Vue.component(components[key].name, components[key])
// })

// // register directives
// Object.keys(directives).forEach(k => {
//   Vue.directive(k, directives[k])
// })

// register filters
Object.keys(filters).forEach(k => {
    Vue.filter(k, filters[k])
})

Vue.mixin(mixin)

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')
